<?php

namespace AutoAdmin\Bundle\Content\Breadcrumbs\Model;

class BreadcrumbsItem
{
    public function __construct(
        protected ?object $subject = null,
        protected ?string $label = null,
        protected ?string $url = null,
        protected array $extra = [],
    ) {
    }

    public function getSubject(): ?object
    {
        return $this->subject;
    }

    public function setSubject(?object $subject): BreadcrumbsItem
    {
        $this->subject = $subject;

        return $this;
    }

    public function getLabel(): ?string
    {
        return $this->label;
    }

    public function setLabel(?string $label): BreadcrumbsItem
    {
        $this->label = $label;

        return $this;
    }

    public function getUrl(): ?string
    {
        return $this->url;
    }

    public function setUrl(?string $url): BreadcrumbsItem
    {
        $this->url = $url;

        return $this;
    }

    public function getExtra(): array
    {
        return $this->extra;
    }

    public function setExtra(array $extra): BreadcrumbsItem
    {
        $this->extra = $extra;
        return $this;
    }
}
